version: "3.1"
properties:
  confirmed:
    type: boolean
    description: "Set uplink type to confirmed, i.e. the device requires that the server acknowledges reception of each uplink."
    configurable: true
    default: false
  temperature:
    type: int64
    unit: "°C"
    description: The measurement temperature
  reboot:
    type: action
    name: Reboot
    description: "Reboot the device and rejoin the network. This requires a downlink to be sent to the device."
  reset:
    type: action
    name: Reset
    confirmation: |
      This will reset the device's configuration to the manufacturer's default.
      The current configuration will be lost.
    description: "Resets the device's configuration."
